**Full name**: projects.locations.schemas.create

Creates a schema.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="us">us</button> <button value="eu">eu</button> <button value="asia-south1">asia-south1</button> <button value="asia-southeast1">asia-southeast1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="australia-southeast1">australia-southeast1</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button>   
`POST https://documentai.googleapis.com/v1/{parent}/schemas`

<br />

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent (project and location) under which to create the Schema. Format: `projects/{project}/locations/{location}` It takes the form `projects/{project}/locations/{location}`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/document-ai/docs/reference/rest/v1/projects.locations.schemas#NextSchema`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/document-ai/docs/reference/rest/v1/projects.locations.schemas#NextSchema`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `documentai.schemas.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).